Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.dnd
Class DropTargetAdapter

    java.lang.Object
      org.eclipse.swt.dnd.DropTargetAdapter

All Implemented Interfaces:
  DropTargetListener, EventListener, org.eclipse.swt.internal.SWTEventListener

Direct Known Subclasses:
  ViewerDropAdapter

public class DropTargetAdapter
extends Object
implements DropTargetListener

This adapter class provides default implementations for the methods described by the `DropTargetListener` interface.

Classes that wish to deal with `DropTargetEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `DropTargetListener`, `DropTargetEvent`

Constructor Summary
`DropTargetAdapter()`

Method Summary
`void` | `dragEnter(DropTargetEvent event)` This implementation of `dragEnter` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`.
`void` | `dragLeave(DropTargetEvent event)` This implementation of `dragLeave` does nothing.
`void` | `dragOperationChanged(DropTargetEvent event)` This implementation of `dragOperationChanged` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`.
`void` | `dragOver(DropTargetEvent event)` This implementation of `dragOver` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`.
`void` | `drop(DropTargetEvent event)` This implementation of `drop` does nothing.
`void` | `dropAccept(DropTargetEvent event)` This implementation of `dropAccept` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTargetAdapter

    public DropTargetAdapter()

Method Detail

### dragEnter

    public void dragEnter(DropTargetEvent event)

  This implementation of `dragEnter` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`. For additional information see `DropTargetListener.dragEnter`.

  Specified by:
    `dragEnter` in interface `DropTargetListener`
  Parameters:
    `event` - the information associated with the drag enter event
  See Also:
    `DropTargetEvent`

### dragLeave

    public void dragLeave(DropTargetEvent event)

  This implementation of `dragLeave` does nothing. For additional information see `DropTargetListener.dragOperationChanged`.

  Specified by:
    `dragLeave` in interface `DropTargetListener`
  Parameters:
    `event` - the information associated with the drag leave event
  See Also:
    `DropTargetEvent`

### dragOperationChanged

    public void dragOperationChanged(DropTargetEvent event)

  This implementation of `dragOperationChanged` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`. For additional information see `DropTargetListener.dragOperationChanged`.

  Specified by:
    `dragOperationChanged` in interface `DropTargetListener`
  Parameters:
    `event` - the information associated with the drag operation changed event
  See Also:
    `DropTargetEvent`

### dragOver

    public void dragOver(DropTargetEvent event)

  This implementation of `dragOver` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`. For additional information see `DropTargetListener.dragOver`.

  Specified by:
    `dragOver` in interface `DropTargetListener`
  Parameters:
    `event` - the information associated with the drag over event
  See Also:
    `DropTargetEvent`

### drop

    public void drop(DropTargetEvent event)

  This implementation of `drop` does nothing. For additional information see `DropTargetListener.drop`.

  Specified by:
    `drop` in interface `DropTargetListener`
  Parameters:
    `event` - the information associated with the drop event
  See Also:
    `DropTargetEvent`

### dropAccept

    public void dropAccept(DropTargetEvent event)

  This implementation of `dropAccept` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`. For additional information see `DropTargetListener.dropAccept`.

  Specified by:
    `dropAccept` in interface `DropTargetListener`
  Parameters:
    `event` - the information associated with the drop accept event
  See Also:
    `DropTargetEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.